task cp_bam {

	File bam
    String bamname = basename(bam,".bam")

	String cluster_config
	String disk_size

	command <<<
	    set -e -o pipefail
		cp ${bam} ${bamname}_tmp.bam
	>>>

	runtime {
		cluster:cluster_config
		systemDisk:"cloud_ssd 40"
		dataDisk:"cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File tmp_bam = "${bamname}_tmp.bam"
	}
}